curl -X POST https://api.example.com/api/mcp/disconnect \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "mcp_abc123"
}'
const response = await fetch('https://api.example.com/api/mcp/disconnect', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 'mcp_abc123'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/disconnect',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={'id': 'mcp_abc123'}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "Server not found"
}
Connection
Disconnect from MCP Server
Closes connection to an MCP server
POST
/
api
/
mcp
/
disconnect
curl -X POST https://api.example.com/api/mcp/disconnect \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "mcp_abc123"
}'
const response = await fetch('https://api.example.com/api/mcp/disconnect', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 'mcp_abc123'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/disconnect',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={'id': 'mcp_abc123'}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "Server not found"
}
Request Body
string
required
MCP server ID to disconnect
Response
boolean
Whether the disconnection was successful
curl -X POST https://api.example.com/api/mcp/disconnect \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"id": "mcp_abc123"
}'
const response = await fetch('https://api.example.com/api/mcp/disconnect', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 'mcp_abc123'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/disconnect',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={'id': 'mcp_abc123'}
)
data = response.json()
{
"success": true
}
{
"success": false,
"message": "Server not found"
}
⌘I

